/*
** Module   : tty.sockets.js
** Abstract : WebSockets communication management.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140110 First version.
*/

tty.socket = (function()
{
   /* exports object */
   var my = {}; 
   /* web socket */
   var ws;
   /* connected */
   var connected = false;

   /* send data */
   my.send = function(data)
   {
      if (connected) 
      {
         ws.send(data);
      }
   };
   
   /* initialize module */
   my.init = function(cfg)
   {      
      if ("WebSocket" in window)
      {
         ws = new WebSocket(cfg.url);

         ws.onopen = function()
         {
            connected=true;
            // socket is connected, send data using send()
            ws.send("Message to send");
            alert("Message is sent...");
         };

         ws.onmessage = function(evt)
         { 
            var received_msg = evt.data;
            alert("Message is received..." + received_msg);
         };

         ws.onclose = function()
         { 
            connected=false;
            // socket is closed.
            alert("Connection is closed..."); 
         };
         
      } 
      else 
      {
         alert('WebSocket NOT supported by your Browser!');
      }      
   };
   
   /* exports */
   return my;       
}());
    
